/*
Navicat MySQL Data Transfer

Source Server         : mysql
Source Server Version : 50520
Source Host           : localhost:3306
Source Database       : tb_shiro

Target Server Type    : MYSQL
Target Server Version : 50520
File Encoding         : 65001

Date: 2016-12-09 12:28:44
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for t_permission
-- ----------------------------
DROP TABLE IF EXISTS `t_permission`;
CREATE TABLE `t_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `permissionname` varchar(50) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  CONSTRAINT `fk_permission_role_id` FOREIGN KEY (`role_id`) REFERENCES `t_role` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_permission
-- ----------------------------
INSERT INTO `t_permission` VALUES ('1', '*:*', '999');
INSERT INTO `t_permission` VALUES ('2', 'admin:select', '1');
INSERT INTO `t_permission` VALUES ('3', 'teacher:select', '2');
INSERT INTO `t_permission` VALUES ('4', 'student:select', '3');
INSERT INTO `t_permission` VALUES ('29', 'teacher:update', '1');
INSERT INTO `t_permission` VALUES ('30', 'teacher:delete', '1');
INSERT INTO `t_permission` VALUES ('31', 'teacher:create', '1');
INSERT INTO `t_permission` VALUES ('32', 'teacher:select', '1');
INSERT INTO `t_permission` VALUES ('33', 'student:update', '1');
INSERT INTO `t_permission` VALUES ('34', 'student:delete', '1');
INSERT INTO `t_permission` VALUES ('35', 'student:create', '1');
INSERT INTO `t_permission` VALUES ('36', 'student:select', '1');
INSERT INTO `t_permission` VALUES ('37', 'student:update', '2');
INSERT INTO `t_permission` VALUES ('38', 'student:delete', '2');
INSERT INTO `t_permission` VALUES ('39', 'student:create', '2');
INSERT INTO `t_permission` VALUES ('40', 'student:select', '2');

-- ----------------------------
-- Table structure for t_role
-- ----------------------------
DROP TABLE IF EXISTS `t_role`;
CREATE TABLE `t_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rolename` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1000 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_role
-- ----------------------------
INSERT INTO `t_role` VALUES ('1', 'admin');
INSERT INTO `t_role` VALUES ('2', 'teacher');
INSERT INTO `t_role` VALUES ('3', 'student');
INSERT INTO `t_role` VALUES ('999', 'administrator');

-- ----------------------------
-- Table structure for t_user
-- ----------------------------
DROP TABLE IF EXISTS `t_user`;
CREATE TABLE `t_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(20) DEFAULT NULL,
  `password` varchar(100) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_user_role_id` (`role_id`),
  CONSTRAINT `fk_user_role_id` FOREIGN KEY (`role_id`) REFERENCES `t_role` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of t_user
-- ----------------------------
INSERT INTO `t_user` VALUES ('1', 'demo', '89316fb5679218f0a88211e413e18352', '999');
INSERT INTO `t_user` VALUES ('2', 'xiaowang', '08b9a3275248853f8f1b451946e6bbfa', '1');
INSERT INTO `t_user` VALUES ('3', 'jack', 'cdd9e7f6f89617bf0d40e6dd0bec0856', '2');
INSERT INTO `t_user` VALUES ('4', 'marry', '5fd6d8ce820dcf45d82f8bedd80ab99b\r\n', '3');
INSERT INTO `t_user` VALUES ('7', 'demo', '89316fb5679218f0a88211e413e18352', '1');
INSERT INTO `t_user` VALUES ('8', 'demo', '89316fb5679218f0a88211e413e18352', '2');
INSERT INTO `t_user` VALUES ('9', 'demo', '89316fb5679218f0a88211e413e18352', '3');
INSERT INTO `t_user` VALUES ('10', 'xiaowang', '08b9a3275248853f8f1b451946e6bbfa', '2');
INSERT INTO `t_user` VALUES ('11', 'xiaowang', '08b9a3275248853f8f1b451946e6bbfa', '3');
INSERT INTO `t_user` VALUES ('12', 'jack', 'cdd9e7f6f89617bf0d40e6dd0bec0856', '3');
