package com.shiro.demo.mapper;

import java.util.Set;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.shiro.demo.po.User;

@Repository
public interface UserMapper {
	/**
	 * 根据用户名得到用户信息
	 * @param userName
	 * @return
	 * @throws Exception
	 */
	public User getUserByUserName(@Param(value = "userName") String userName) throws Exception;
	
	/**
	 * 根据用户名的到用户角色
	 * @return
	 * @throws Exception
	 */
	public Set<String> getRoleByUserName(@Param(value = "userName") String userName) throws Exception;
	
	/**
	 * 根据用户名得到用户权限
	 * @return
	 * @throws Exception
	 */
	public Set<String> getPermissionByUserName(@Param(value = "userName") String userName) throws Exception;
}
